EDIT - bug #9015

Comparator for Character Matrix creates strange result
05/14/2020 11:02 AM - Katja Luther

Status: Resolved Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.43

Severity: normal Found in Version:

Description

When one higher taxon has computed (aggregated) description and another higher taxon has no aggregated description the order in
character matrix is strange for the rankAndName order.
after adding an aggregation to Acanthocereus the order is correct.
Related issues:
Related to EDIT - bug #9807: Matrix should not collapse after aggregation Closed

History

#1 - 05/14/2020 11:15 AM - Katja Luther
- File picture883-1.png added

- Subject changed from Comparator for Character Matrix sometimes creates strange result to Comparator for Character Matrix creates strange result

#2 - 05/14/2020 11:16 AM - Katja Luther
- Category set to taxeditor
- Assignee set to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.15

#3 - 05/14/2020 11:45 AM - Katja Luther
- File picture877-1.png added

- Description updated

#4 - 06/23/2020 01:51 PM - Andreas Miuller

- Target version changed from Release 5.15 to Release 5.18

#5 - 12/04/2020 09:06 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#6 - 01/27/2021 04:43 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#7 - 03/10/2021 02:47 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.22

#8 - 03/18/2021 05:49 PM - Andreas Miiller
- Tags set to additivity
- Priority changed from New to Highest

#9 - 04/19/2021 05:18 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46

#10 - 10/05/2021 09:28 AM - Katja Luther
- Tags changed from additivity to additivity, matrix

#11 - 11/02/2021 11:22 AM - Andreas Miiller
- Related to bug #9807: Matrix should not collapse after aggregation added

#12 - 11/17/2021 09:58 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mtiller

Hopefully this is fixed with rev 108ef8d8. With the current implementation | did not get this problem anymore. Please review if you can produce this

strange result again.

#13 - 06/27/2023 12:03 PM - Andreas Miiller

- Target version changed from Release 5.46 to Release 5.44

#14 - 02/14/2024 10:41 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.43

Needs to be reviewed and moved to its old milestone.
